Kea: isc::dns::BadLabelType Class Reference

| Kea 3.0.2-git

isc::dns::BadLabelType Class Reference

A standard DNS module exception that is thrown if the name parser encounters an obsolete or incomplete label type. More...

`#include <name.h>`

Inheritance diagram for isc::dns::BadLabelType:
[legend]

## Public Member Functions
| BadLabelType (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::dns::NameParserException
| NameParserException (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::dns::DNSTextError
| DNSTextError (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::dns::Exception
| Exception (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception.
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception.
const std::string & | getMessage () const
| Gets a string describing the cause of the exception.
const char * | getFile () const
| Gets the file name where the exception was thrown.
size_t | getLine () const
| Gets the line number of the file where the exception was thrown.
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number.
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number.
virtual | ~Exception () throw ()
| The destructor.

## Detailed Description

A standard DNS module exception that is thrown if the name parser encounters an obsolete or incomplete label type.

In effect "obsolete" only applies to bitstring labels, which would begin with "\‍[". Incomplete cases include an incomplete escaped sequence such as "\12".

Definition at line 58 of file name.h.

## Constructor & Destructor Documentation

## ◆ BadLabelType()

isc::dns::BadLabelType::BadLabelType | ( | const char * | file,
|  | size_t | line,
|  | const char * | what )
| inline

Definition at line 60 of file name.h.

References isc::dns::NameParserException::NameParserException(), and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- name.h